.table thead tr:first-child th,
.table th.header {
  background-color: @tableHeadBackgroundColor;
  border-color: @tableHeadBorderColor;
  color: @tableHeadColor;
}

.table th.required::after {
  content: " *";
  color: #FF6A6A;
}

.table thead th {
  text-align: center;
  vertical-align: middle !important;
}

.fit-content {
  width: 1%;
  white-space: nowrap;
}

.table-scroller {
  overflow: auto;
  position: relative;
  -webkit-overflow-scrolling: touch;

  table {
    thead {
      top:0;
      z-index: 20;
    }
  }

  .virtual-scroller {
    display: none;
    overflow: auto;
    position: fixed;
    height: 20px;
    bottom: 25px;

    > div {
      height: 1px;
    }
  }
}

.table {


  .checkbox-column,
  .actions-column {
    .fit-content();
  }

  .btn-group-actions {
    font-size: 0;
    white-space: nowrap;

    .btn {
      float: none;
    }
  }

  .avatar {
    width: 25px;
    margin: auto;
    height: 25px;
    display: block;
  }

  .total {
    background-color: #e0e0e0;
  }

  .td-header {
    background-color: #E0E0E0;
    border-color: #D4D4D4;
    color: #398A6B;
    font-weight: bold;
  }


  th{
    &.tiny-th{
      width: 70px;
    }
    &.small-th{
      width: 110px;
    }
    &.medium-th{
      width: 150px;
    }
    &.large-th{
      width: 190px;
    }
    &.fat-th{
      width: 230px;
    }
  }

  td {
    vertical-align: middle !important;

    &.editable {
      &:hover {
        padding-right: 20px;
      }
    }
    &:hover {
      max-width: initial;
    }
    &.col-error-bg{
      background-color: #FFB8B8 !important;
      border-width: 0 1px;
      border-color: #FF8A8A;
      border-style: solid;
      cursor: pointer;
    }

    max-width: 200px !important;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
  }

  .editing td {
    vertical-align: top !important;
    max-width: none;
    overflow: initial;

    &.editable {
      &:hover {
        padding-right: 5px;
      }
    }
  }

  .group {
    background: #eaeaea;
    font-weight: bold;
  }

  .dashed  {
    background: #deeff7;
  }

  .sub-group {
    background: #f1f1f1;
    font-weight: bold;
  }

  .col-keywords{
    span{
      margin: 0 1px;
    }
  }
}

.table-builder {
  .table-builder-sortable {
    cursor: pointer;
  }

  .table-builder-hidden {
    display: none;
  }

  .table-builder-sortable::after {
    content: '\f0dc';
    font: normal normal normal 14px/1 FontAwesome;
    margin-left: 4px;
    opacity: 0.3;
  }

  .table-builder-sorting-asc::after {
    content: '\f0de';
    opacity: 1;
  }

  .table-builder-sorting-desc::after {
    content: '\f0dd';
    opacity: 1;
  }

  .table-builder-sortable:hover::after {
    opacity: 1;
  }
}

.table-builder-columns-toggler {
  ul {
    margin: 0;
    padding: 0 15px;
    list-style-type: none;

    label {
      cursor: pointer;
      font-weight: normal;
      margin: 0;

      input[type="checkbox"] {
        margin-right: 10px;
      }
    }
  }
}

.table-builder-pagination {
  margin: 5px 0 20px 0;
  text-align: right;

  ul {
    margin: 5px 0;

    li:hover,
    li {
      cursor: pointer;
      a {
        border-radius: 0 !important;
        color: #333;
        font-size: 0.8rem;
      }
    }

    li.active:hover,
    li.active {
      a {
        background-color: @activeBackgroundColor;
        border-color: @activeBackgroundColor;
        color: @activeColor;
      }
    }
  }
}

.table-filters {
  ul {
    margin: 5px 0 0 0;
    padding: 0 0 5px 0;
    list-style-type: none;

    li {
      margin-bottom: 5px;

      i.fa-remove {
        margin-top: 3px;
      }

      .row {
        .col-xs-6:first-child {
          padding-right: 5px;
        }
        .col-xs-6:last-child {
          padding-left: 5px;
        }
      }

      .period {
        margin-top: 5px;
      }

      input, select {
        padding: 3px;
        height: 2.5rem;
      }

      select[multiple] {
        height: 5rem;
      }

      .selectize-input {
        line-height: 18px;
      }

      .selectize-control.multi .selectize-input {
        padding: 3px;
        height: auto;
        min-height: auto;
      }

      .input-group-addon {
        padding: 5px 12px;
      }
    }
  }

  .table-filters-header {
    padding:2px;

    input[type="text"] {
      border: 0;
      background: rgba(255, 255, 255, 0.1);
      transition: 0.3s background;
      border-radius: 15px !important;
      color: @activeColor;
    }

    ::-webkit-input-placeholder {
      color: @activeColor;
    }

    :-moz-placeholder { /* Firefox 18- */
      color: @activeColor;
    }

    ::-moz-placeholder {  /* Firefox 19+ */
      color: @activeColor;
    }

    :-ms-input-placeholder {
      color: @activeColor;
    }

    input[type="text"]:focus {
      background: @activeColor;
      color: #333;
    }

    .input-group {
      .input-group-addon {
        background: transparent;
        color: #FEFEFE;
        border: 0;

        i {
          margin: 0;
        }
      }
    }
  }
}


td.editable {
  position: relative;

  .inline-edit-button {
    display: none;
    font-size: 0.9rem;
    cursor: pointer;
    position: absolute;
    right: 5px;
    top: 10px;
  }

  &:hover {
    .inline-edit-button {
      display: inline;
    }
  }
}

tr:not(.editing):not(.footer) {
  td.editable.text-right:hover {
    padding-right: 20px;
  }
}

.table-responsive>.fixed-column {
  position: absolute;
  display: inline-block;
  width: auto;
  background: #FEFEFE;
  border: none;
}

tr.footer td,
tr.footer th {
  font-weight: bold;
  background-color: @tableHeadBackgroundColor;
  border-color: @tableHeadBorderColor !important;
}

.ui-sortable-helper {
  display: table !important;
}
